<?php  include('../../casa/setup.casa.php');

$curso = DataForms::GET('curso');
$materia = DataForms::GET('materia');
$tipos_codigo = DataForms::GET('tipos_codigo');
$titulo = DataForms::GET('titulo');
$tipo = DataForms::GET('tipo');

$output_dir = "../../files/";

	if(isset($_FILES["myfile"])){
	$ret = array();	

$Archivos = new DB();

	$error =$_FILES["myfile"]["error"];
	if(!is_array($_FILES["myfile"]["name"])){ 
 	 	$fileName = $_FILES["myfile"]["name"];
 		move_uploaded_file($_FILES["myfile"]["tmp_name"],$output_dir.$fileName);
    	$ret[]= $fileName;
		//Datos del archivo
		$codigo = substr(md5(uniqid()),1,7);
		$tipo = pathinfo($fileName, PATHINFO_EXTENSION);
		$sqlArchivos = "INSERT INTO archivos(
			curso_codigo,materia_codigo,tipo_codigo,
			arc_codigo, arc_nombre, 
			arc_archivo, arc_tipo
		)VALUES(
			'$curso','$materia','$tipos_codigo',
			'$codigo', '$fileName', 
			'$fileName', '$tipo'
		);";
		$Archivos->dbSQL($sqlArchivos);				
	}else{
	  $fileCount = count($_FILES["myfile"]["name"]);
	  for($i=0; $i < $fileCount; $i++){
	  		$fileName = $_FILES["myfile"]["name"][$i];
			move_uploaded_file($_FILES["myfile"]["tmp_name"][$i],$output_dir.$fileName);			
				//Datos del archivo
				$codigo = substr(md5(uniqid()),1,7);
				$tipo = pathinfo($fileName, PATHINFO_EXTENSION);
				$sqlArchivos = "INSERT INTO archivos(
					curso_codigo,materia_codigo,tipo_codigo,
					arc_codigo, arc_nombre, 
					arc_archivo, arc_tipo
				)VALUES(
					'$curso','$materia','$tipos_codigo',
					'$codigo', '$fileName', 
					'$fileName', '$tipo'
				);";				
				$Archivos->dbSQL($sqlArchivos);				
	  		$ret[]= $fileName;
	  }	
	}
   echo json_encode($ret);
 }
 ?>